﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewSpecialSlotsExample
{
	public class MyViewModel
	{
		public ObservableCollection<Slot> SpecialSlots { get; set; }

		private ObservableCollection<Slot> GenerateSpecialSlots()
		{
			var currenMonth = DateTime.Today.Month;
			var previousMonthsSlot = new Slot()
			{
				Start = DateTime.MinValue,
				End = new DateTime(2012, currenMonth, 1),
				IsReadOnly = true
			};

			var nextMonthsSlot = new Slot()
			{
				Start = new DateTime(2012, currenMonth + 1, 1),
				End = DateTime.MaxValue,
				IsReadOnly = true
			};
			var result = new ObservableCollection<Slot>()
			{
				previousMonthsSlot, nextMonthsSlot
			};

			return result;
		}

		public MyViewModel()
		{
			SpecialSlots = this.GenerateSpecialSlots();
		}
	}
}